{***********************************************************************}
{ TMS Security System                                                   }
{ for Delphi & C++Builder                                               }
{                                                                       }
{ written by                                                            }
{   TMS Software                                                        }
{   Copyright  2003 - 2012                                             }
{   Email : info@tmssoftware.com                                        }
{   Web : http://www.tmssoftware.com                                    }
{***********************************************************************}
unit uIWEditGroupForm;

{$I TMSDEFS.INC}

interface

uses
  Classes, SysUtils, IWAppForm, IWApplication, IWColor, IWTypes,
  IWVCLBaseControl, IWBaseControl, IWBaseHTMLControl, IWControl, IWCompLabel,
  Controls, Forms, IWVCLBaseContainer, IWContainer, IWHTMLContainer,
  IWHTML40Container, IWRegion, IWCompCheckbox, IWDBStdCtrls, IWCompEdit,
  IWCompButton, DB
  {$IFDEF TMSIW121}
  , IWCompExtCtrls
  {$ENDIF}
  {$IFNDEF TMSIW121}
  , IWExtCtrls
  {$ENDIF}
  ;

type
  TuilGroupEvent = procedure(Sender: TObject; GroupName: string) of object;  

  TIWEditGroupForm = class(TIWAppForm)
    IWRegion2: TIWRegion;
    lbFormPolicy: TIWLabel;
    IWRegion1: TIWRegion;
    lbGroupName: TIWLabel;
    lbGroupDescription: TIWLabel;
    cbOK: TIWButton;
    btCancel: TIWButton;
    edGroupName: TIWDBEdit;
    edGroupDescription: TIWDBEdit;                           
    dsGroups: TDataSource;
    IWImageFile1: TIWImageFile;
    procedure cbOKClick(Sender: TObject);
    procedure btCancelClick(Sender: TObject);
  private
    FOnChange: TuilGroupEvent;
  published
    property OnChange: TuilGroupEvent read FOnChange write FOnChange;
  public
  end;

implementation

{$R *.dfm}


procedure TIWEditGroupForm.btCancelClick(Sender: TObject);
begin
  dsGroups.DataSet.Cancel;
  TIWAppForm(WebApplication.ActiveForm).Release;
end;

procedure TIWEditGroupForm.cbOKClick(Sender: TObject);
begin
  dsGroups.DataSet.Post;

  if Assigned(OnChange) then
    OnChange(self, edGroupName.Text);

  TIWAppForm(WebApplication.ActiveForm).Release;
end;

end.
